sc::MsgMemoryGrp(3)

NAME
sc::MsgMemoryGrp - A MsgMemoryGrp that initializes its data using a messagegrp.

SYNOPSIS

#include <memmsg.h>

Inherits sc::MemoryGrp.

Inherited by sc::ActiveMsgMemoryGrp, and sc::ShmMemoryGrp.

  Public Methods
MsgMemoryGrp (const Ref< MessageGrp > &msg)
MsgMemoryGrp (const Ref< KeyVal > &keyval)
~MsgMemoryGrp ()
void set_localsize (size_t localsize)
Set the size of locally held memory.
void sync ()
Synchronizes all the nodes.

  Protected Attributes
Ref< MessageGrp > msg_

DETAILED DESCRIPTION

A MsgMemoryGrp that initializes its data using a messagegrp.

MEMBER FUNCTION DOCUMENTATION

  void sc::MsgMemoryGrp::set_localsize (size_t localsize) [virtual]

Set the size of locally held memory.

When memory is accessed using a global offset counting starts at node 0 and proceeds up to node n() - 1.

Implements sc::MemoryGrp.

Reimplemented in sc::ActiveMsgMemoryGrp.

  void sc::MsgMemoryGrp::sync () [virtual]

Synchronizes all the nodes.

Consider using this when the way you you access memory changes.

Implements sc::MemoryGrp.

Reimplemented in sc::MTMPIMemoryGrp.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.